## ----setup, include=FALSE-----------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)


## ----echo=FALSE, message=FALSE, warning=FALSE---------------------------------
library(chmsflow)
library(DT)
library(knitr)
library(kableExtra)


## ----echo=FALSE---------------------------------------------------------------
cat(
  "There are", nrow(variables), "variables, grouped in", sum(!duplicated(variables$subject)),
  "subjects and", sum(!duplicated(variables$section)), "sections.\n"
)


## ----echo=FALSE, results='asis', warning=FALSE--------------------------------
datatable(variables, filter = "top", options = list(pageLength = 5))


## ----echo=FALSE---------------------------------------------------------------
cat(
  "There are", nrow(variable_details), "rows and", ncol(variable_details), "columns.\n"
)
datatable(variable_details, options = list(pageLength = 5))


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", 1], col.names = "variable")


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:2)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:3)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:4)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:5)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:6)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:7)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:8)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:9)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:10)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:11)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:12)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:13)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:14)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:15)])


## ----echo=FALSE, warning=FALSE------------------------------------------------
kable(variable_details[variable_details$variable == "clc_sex", c(1:16)])

